<div class="ui grid stackable" style="border-radius: 20px; border: 1px solid #2b2b2b;">
    <div class="sixteen wide column">
        <form method="get" action="#{url route.dashboard_informasilaincontroller_serahterima /}" class="search-bar"
              id="searchForm">
            <div class="ui right aligned grid">
                <div class="sixteen wide right aligned column">
                    <div class="ui dropdown selection filters">
                        <input id="year" type="hidden" name="year" value="&{yearNow}">
                        <i class="dropdown icon"></i>
                        <div class="default text color-black">&{yearNow}</div>
                        <div class="menu">
                        #{list items:listYears, as:'lys'}
                            <div class="item" data-name="year"
                                 data-value="${lys?.tahun_anggaran}">${lys?.tahun_anggaran}</div>
                        #{/list}
                        </div>
                    </div>
                </div>
            </div>
        </form>
    </div>
    <div class="five wide column">
    #{common.hbar-chart chartable: jenisBelanjaChart, id: "canvasJB", title: 'Per Jenis Belanja', xLabel: 'Pagu', money: true,
        scriptName: 'jbScript', legend: '', setHeight: '270', setMaxTicksLimit: '10', setType: 'logarithmic', setMinRotation: "90",
        setMaxRotation: "90", setYMinRotation: "30", setYMaxRotation: "45" /}
    </div>
    <div class="five wide column">
    #{common.hbar-chart chartable: jenisPengadaanChart, id: "canvasJP", title: 'Per Jenis Pengadaan', xLabel: 'Pagu', money: true,
        scriptName: 'jpScript', legend: '', setHeight: '270', setMaxTicksLimit: '12', setType: 'logarithmic', setMinRotation: "90",
        setMaxRotation: "90", setYMinRotation: "30", setYMaxRotation: "45" /}
    </div>
    <div class="five wide column">
    #{common.hbar-chart chartable: metodePemilihanChart, id: "canvasMP", title: 'Per Metode Pemilihan', xLabel: 'Pagu', money: true,
        scriptName: 'mpScript', legend: '', setHeight: '270', setMaxTicksLimit: '12', setType: 'logarithmic', setMinRotation: "90",
        setMaxRotation: "90", setYMinRotation: "30", setYMaxRotation: "45" /}
    </div>
    <div class="five wide column">
    #{common.hbar-chart chartable: jenisBelanjaChartPaket, id: "canvasJBP", xLabel: 'Paket', scriptName: 'jbpScript', legend: '',
        number: true, colorOffset: 1, setHeight: '270', setMaxTicksLimit: '10', setType: 'logarithmic', setMinRotation: "90",
        setMaxRotation: "90", setYMinRotation: "30", setYMaxRotation: "45" /}
    </div>
    <div class="five wide column">
    #{common.hbar-chart chartable: jenisPengadaanChartPaket, id: "canvasJPP", xLabel: 'Paket', scriptName: 'jppScript', legend: '',
        number: true, colorOffset: 1, setHeight: '270', setMaxTicksLimit: '10', setType: 'logarithmic', setMinRotation: "90",
        setMaxRotation: "90", setYMinRotation: "30", setYMaxRotation: "45" /}
    </div>
    <div class="five wide column">
    #{common.hbar-chart chartable: metodePemilihanChartPaket, id: "canvasMPP", xLabel: 'Paket', scriptName: 'mppScript', legend: '',
        number: true, colorOffset: 1, setHeight: '270', setMaxTicksLimit: '10', setType: 'logarithmic', setMinRotation: "90",
        setMaxRotation: "90", setYMinRotation: "30", setYMaxRotation: "45" /}
    </div>
</div>
<div class="ui divider hidden"></div>
<div class="ui grid stackable">
#{common.line-chart chartable: yearlyChart, id: "canvasYearly", title: 'Pagu Serah Terima Per Tahun', xLabel: 'Tahun', yLabel: 'Pagu', scriptName: 'yearlyScript', money: true, legend: false/}
</div>

#{set 'anotherScript'}
    #{get 'jbScript'/}
    #{get 'jpScript'/}
    #{get 'mpScript'/}
    #{get 'jbpScript'/}
    #{get 'jppScript'/}
    #{get 'mppScript'/}
    #{get 'yearlyScript'/}
<script>
    $('.filters')
            .dropdown({
                action: 'hide',
                onChange: function (value, text, $selectedItem) {
                    $("#searchForm").submit();
                }
            });
</script>
#{/set}
